Player Settings

Operations dealing with video player settings for videos and channels.

Get video player settings

GET
https://peertube2.cpy.re/api/v1/player-settings/videos/{id}

Get player settings for a specific video. Returns video-specific settings merged with channel player settings.

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

rawbooleanfalsequery

Return raw settings without merging channel defaults

Response

successful operation

Response fields application/json

Player settings for a video

themePlayerThemeVideoSettingchannel-defaultinstance-defaultgalaxylucide

Player theme setting for a video:

  • channel-default Use the channel default theme
  • instance-default Use the instance default theme
  • galaxy Use the galaxy theme
  • lucide Use the lucide theme
404Not Found

video not found

Update video player settings

PUT
https://peertube2.cpy.re/api/v1/player-settings/videos/{id}

Update player settings for a specific video

Body

application/json

Player settings update for a video

themePlayerThemeVideoSettingchannel-defaultinstance-defaultgalaxyluciderequired

Player theme setting for a video:

  • channel-default Use the channel default theme
  • instance-default Use the instance default theme
  • galaxy Use the galaxy theme
  • lucide Use the lucide theme

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

Response

successful operation

Response fields application/json

Player settings for a video

themePlayerThemeVideoSettingchannel-defaultinstance-defaultgalaxylucide

Player theme setting for a video:

  • channel-default Use the channel default theme
  • instance-default Use the instance default theme
  • galaxy Use the galaxy theme
  • lucide Use the lucide theme
404Not Found

video not found

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Get channel player settings

GET
https://peertube2.cpy.re/api/v1/player-settings/video-channels/{channelHandle}

Get player settings for a video channel.

Parameters

channelHandlestringrequiredpath

The video channel handle

rawbooleanfalsequery

Return raw settings without applying instance defaults

Response

successful operation

Response fields application/json

Player settings for a channel

themePlayerThemeChannelSettinginstance-defaultgalaxylucide

Player theme setting for a channel:

  • instance-default Use the instance default theme
  • galaxy Use the galaxy theme
  • lucide Use the lucide theme
404Not Found

video channel not found

Update channel player settings

PUT
https://peertube2.cpy.re/api/v1/player-settings/video-channels/{channelHandle}

Update default player settings for a video channel.

Body

application/json

Player settings update for a channel

themePlayerThemeChannelSettinginstance-defaultgalaxyluciderequired

Player theme setting for a channel:

  • instance-default Use the instance default theme
  • galaxy Use the galaxy theme
  • lucide Use the lucide theme

Parameters

channelHandlestringrequiredpath

The video channel handle

Response

successful operation

Response fields application/json

Player settings for a channel

themePlayerThemeChannelSettinginstance-defaultgalaxylucide

Player theme setting for a channel:

  • instance-default Use the instance default theme
  • galaxy Use the galaxy theme
  • lucide Use the lucide theme
404Not Found

video channel not found

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.